<StackLayout *ngIf="!showStoreSelect">
    <GridLayout row="0" rows="auto, auto, auto">
        <Label text="Item Name" row="0" class="label"></Label>
        <TextField hint="Update item name here..." [(ngModel)]="updatedItem.name" class="input" row="1"></TextField>
    </GridLayout>
    <GridLayout row="0" rows="auto, auto, auto">
        <Label text="Previous Price" row="0" class="label"></Label>
        <TextField hint="Update previous price here..." [(ngModel)]="updatedItem.previous_Price" class="input" row="1"></TextField>
    </GridLayout>
    <GridLayout row="0" rows="auto, auto, auto" columns="auto, auto">
        <Label text="Store with Price" row="0" class="label"></Label>
        <TextField hint="Update previous store name here..." text="{{GetStoreName(previous_store)}}" [(ngModel)]="last_Store_Name" class="input" row="1" col="0"></TextField>
        <Image (tap)="OpenStoreSelect(previous_store)" src="~/app/shared/icons/dropdown.png" class="dropdownBtn" row="1" col="1"></Image>
    </GridLayout>
    <GridLayout row="0" rows="auto, auto, auto" columns="auto, auto">
        <Label text="Current Store" row="0" class="label"></Label>
        <TextField hint="Update current store name here..." text="{{GetStoreName(current_store)}}" [(ngModel)]="current_Store_Name" class="input" row="1" col="0"></TextField>
        <Image (tap)="OpenStoreSelect(current_store)" src="~/app/shared/icons/dropdown.png" class="dropdownBtn" row="1" col="1"></Image>
    </GridLayout>
    <DockLayout stretchLastChild="true">
        <Button (tap)="UpdateItem()" dock="bottom" text="Update Item" class="btn btn-primary"></Button>
    </DockLayout>
    <DockLayout stretchLastChild="true">
        <Button (tap)="RedirectToDetails()" dock="bottom" text="Cancel" class="btn"></Button>
    </DockLayout>
</StackLayout>

<AbsoluteLayout class="dialog-wrapper" *ngIf="showStoreSelect">
    <StackLayout class="dialog">
        <Label text="Please choose store with price" class="label"></Label>
        <ListPicker [items]="storeNameList" [selectedIndex]="selectedStoreInd" (selectedIndexChange)="OnSelectedIndexChanged($event)"></ListPicker>
        <Button (tap)="SaveStoreSelection()" class="btn btn-primary" text="Confirm"></Button>
        <Button (tap)="CloseStoreSelect()" class="btn" text="Cancel"></Button>
    </StackLayout>
</AbsoluteLayout>
